summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-02-03 17:44:31 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-02-03 17:44:31 +0000
commitc44123f79f40edf5fe3d4b0d211d6aa68542abd2 (patch)
tree838edea4b7f78b425eacf44f29775ffd0bc671e3 /eclass
parent79e5685b8db7602719212510574962664af2b036 (diff)
gentoo auto-resync : 03:02:2024 - 17:44:31
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin39113 -> 39116 bytes
-rw-r--r--eclass/llvm.org.eclass3
-rw-r--r--eclass/toolchain.eclass2
3 files changed, 4 insertions, 1 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index c8b8d8acbcc5..e7145539adb8 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/llvm.org.eclass b/eclass/llvm.org.eclass
index 50bbd26301f4..d7112cc9fbe8 100644
--- a/eclass/llvm.org.eclass
+++ b/eclass/llvm.org.eclass
@@ -72,6 +72,9 @@ if [[ -z ${_LLVM_SOURCE_TYPE+1} ]]; then
_LLVM_SOURCE_TYPE=snapshot
case ${PV} in
+ 19.0.0_pre20240203)
+ EGIT_COMMIT=78b4e7c5e349d8c101b50affbd260eb109748f8f
+ ;;
19.0.0_pre20240127)
EGIT_COMMIT=1f13203029333ac99cc9844b8b6915aae3fc0902
;;
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 1679a3d3a366..4cf76229cf88 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1712,7 +1712,7 @@ gcc_do_make() {
# The last known issues are with < GCC 4.9 or so, but it's easier
# to keep this bound somewhat fresh just to avoid problems. Ultimately,
# using not-O0 is just a build-time speed improvement anyway.
- if tc-is-gcc && ver_test $(gcc-fullversion) -lt 10 ; then
+ if ! tc-is-gcc || ver_test $(gcc-fullversion) -lt 10 ; then
STAGE1_CFLAGS="-O0"
fi